# OpenGl_tsm_ws.h File Reference

`#include <OpenGl_cmn_varargs.h>`

## Defines

#define | G003
#define | BUC61044
#define | BUC61045
#define | OCC1188

## Enumerations

enum | TWSAttri { WSTextureEnv, WSSurfaceDetail, WSFilters, WSWindow, WSWidth, WSHeight, WSDbuff, WSViewStid, WSLights, WSViews, WSBackground, WSNeedsClear, WSHighlights, WSDepthCues, WSTransparency, WSZbuffer, WSTransient, WSRetainMode, WSUpdateState, WSPixmap, WSGLXPixmap, WSDepth, WSBackfacing, WSDepthTest, WSGLLight, WSBgTexture }

## Functions

TStatus | TsmRegisterWsid (Tint)
TStatus | TsmSetWSAttri (Tint, TWSAttri, cmn_key_data)
TStatus | TsmGetWSAttri (Tint, TWSAttri, cmn_key_data)
TStatus | TsmGetWSPosted (Tint, Tint, Tint *, Tint *)
TStatus | TsmUnregisterWsid (Tint wsid)
TStatus | TsmInitUpdateState ()

## Define Documentation

#define BUC61044

#define BUC61045

#define G003

#define OCC1188

## Enumeration Type Documentation

enum TWSAttri

Enumeration values:

  WSTextureEnv |
  WSSurfaceDetail |
  WSFilters |
  WSWindow |
  WSWidth |
  WSHeight |
  WSDbuff |
  WSViewStid |
  WSLights |
  WSViews |
  WSBackground |
  WSNeedsClear |
  WSHighlights |
  WSDepthCues |
  WSTransparency |
  WSZbuffer |
  WSTransient |
  WSRetainMode |
  WSUpdateState |
  WSPixmap |
  WSGLXPixmap |
  WSDepth |
  WSBackfacing |
  WSDepthTest |
  WSGLLight |
  WSBgTexture |

## Function Documentation

TStatus TsmGetWSAttri | ( | Tint | ,
|  | TWSAttri | ,
|  | cmn_key_data |
| ) |

TStatus TsmGetWSPosted | ( | Tint | ,
|  | Tint | ,
|  | Tint * | ,
|  | Tint * |
| ) |

TStatus TsmInitUpdateState | ( |  | ) |

TStatus TsmRegisterWsid | ( | Tint |  | ) |

TStatus TsmSetWSAttri | ( | Tint | ,
|  | TWSAttri | ,
|  | cmn_key_data |
| ) |

TStatus TsmUnregisterWsid | ( | Tint | wsid | ) |